Skip to main content
PATCH
/
api
/
dashboard
/
storefront-tokens
/
{key_id}
Update Storefront Token
curl --request PATCH \
  --url https://api.example.com/api/dashboard/storefront-tokens/{key_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "allowed_origins": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key_id": "<string>",
  "secret_prefix": "<string>",
  "name": "<string>",
  "scopes": [
    "<string>"
  ],
  "allowed_origins": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

key_id
string
required

Body

application/json

All fields optional — only provided fields are updated.

name
string | null
Maximum string length: 255
scopes
string[] | null
allowed_origins
string[] | null

Response

Successful Response

Listing/identification view. Never includes the secret.

id
string<uuid>
required
key_id
string
required
secret_prefix
string
required
name
string | null
required
scopes
string[]
required
allowed_origins
string[]
required
created_at
string<date-time>
required
last_used_at
string<date-time> | null
required
revoked_at
string<date-time> | null
required